Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.media

# Annotation Type PatternProperty

@Target({}) @Retention(RUNTIME) public @interface PatternProperty
A regular expression and an associated schema.

Used with `Schema.patternProperties()`, properties with names that match `regex()` must have values which validate against `schema()`.

See Also:
  - `Schema.patternProperties()`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`regex`
A regular expression to match against property names.
`Class<?>`
`schema`
A schema that a property value must validate against

## Element Details

### regex

String regex
A regular expression to match against property names.

Returns:
  an ECMA-262 regular expression

### schema

Class<?> schema
A schema that a property value must validate against

Returns:
  a class used to generate a schema used to validate properties with names that match `regex()`